## org.eclipse.emf.ecoretools.diagram.view.factories
Class EReferenceNameViewFactory

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
          org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
              org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractLabelViewFactory
                  org.eclipse.emf.ecoretools.diagram.view.factories.EReferenceNameViewFactory

All Implemented Interfaces:
  org.eclipse.gmf.runtime.diagram.core.view.factories.ViewFactory

    public class EReferenceNameViewFactory

extends org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractLabelViewFactory

Constructor Summary
`EReferenceNameViewFactory()`

Method Summary
`protected java.util.List` `createStyles(org.eclipse.gmf.runtime.notation.View view)`
`org.eclipse.gmf.runtime.notation.View` `createView(org.eclipse.core.runtime.IAdaptable semanticAdapter, org.eclipse.gmf.runtime.notation.View containerView, java.lang.String semanticHint, int index, boolean persisted, org.eclipse.gmf.runtime.diagram.core.preferences.PreferencesHint preferencesHint)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractLabelViewFactory
`createLayoutConstraint`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
`createNode, decorateView, isUnProtectedSilentTransactionInProgress`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
`getEditingDomain, getPreferencesHint, getViewService, initializeFromPreferences, requiresElement, requiresElement, setPreferencesHint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EReferenceNameViewFactory

    public EReferenceNameViewFactory()

Method Detail

### createView

    public org.eclipse.gmf.runtime.notation.View createView(org.eclipse.core.runtime.IAdaptable semanticAdapter,
                                                            org.eclipse.gmf.runtime.notation.View containerView,
                                                            java.lang.String semanticHint,
                                                            int index,
                                                            boolean persisted,
                                                            org.eclipse.gmf.runtime.diagram.core.preferences.PreferencesHint preferencesHint)

  Specified by:
    `createView` in interface `org.eclipse.gmf.runtime.diagram.core.view.factories.ViewFactory`
  Overrides:
    `createView` in class `org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory`

### createStyles

    protected java.util.List createStyles(org.eclipse.gmf.runtime.notation.View view)

  Overrides:
    `createStyles` in class `org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory`

Copyright 2007 Anyware Technologies. All Rights Reserved.